#ifndef LFOBANK_H
#define LFOBANK_H

#include <stk/SineWave.h>
#include "INewtSettings.h"

class LFOBank
{
    public:

    LFOBank(unsigned int numLFOs, INewtSettings* set);
    virtual ~LFOBank();

    void tick();
    stk::StkFloat getVal(unsigned int idx) const;

    private:

    //User Control values
    INewtSettings* _set;

    //Actual LFOs
    stk::SineWave* _lfos;
    int _numLFOs;

    //LFO Amplitudes
    stk::StkFloat* _amps;
};

#endif // LFOBANK_H
